 
Content Elements
================

Within text in content it is possible to embed special functionality.
Keywords with a combination of curly brackets and the vertical line call corresponding code.

    {| KEYWORD |}
    
generally *keyword* refers to a function that can be passed header arguments and a body.

    {| ELEMENT_NAME:ARG1:ARG2:...
    .
    ...body...
    .
    |}

    
## some conventions

### [:CE:enable]
Some content elements allow content to be included in the body. Some allow content elements inside this content. A nested bracket pair needs to be defined to do so. This is 1) because using the same combination {||} confuses the original dispatcher, and 2) to not clutter reserved keywords, it makes sense to define whatever suit you.

    {| devide:BREAK:<:> |}

## available Content Elements

### devide

    {| devide:BREAKPOINT[:CE:enable]
    BODY
    |}

### box
An image, with different hover states of annotations and action when clicked on.

    {| box:TYPE[:CE:enable]
    picture:optional_hover_picture
    caption1
    caption2
    caption1_hover
    caption2_hover
    BODY
    |}
    
TYPE: lightbox|download|internal|external

- plain
- lightbox[:classname]
  this type shows BODY in a lightbox when element is clicked
  NOTE: use CE:enable before classname
  EXAMPLE: {| box:lightbox:<:>:media |}
- download:HREF
  make click action offer a download with URI=HREF
- internal:PATH
  change page on click
- external:HREF
  open HREF in new page
